
-
  name: $ddt{name}
  request:
    method: post
    url: /service-sysmgr/auth/AccessController/create
    json:
      appCode: "测试${get_random_number(1,1000)}"
      systemName: "测试${get_random_number(1,9000)}"
      sponsor: 1675680915889610752
      logoUrl: "20230922/dbc9d08ffc8f43609e9e8192e2ebe48c.jpg"
      appType: 2
      appName: "APP名称name${get_random_number(1,1000)}"
      appUrl: "APP地址${get_random_number(1,9000)}"
      sort: 16
      publicKey: null
      privateKey: null
      mustHex: 0
      mustAuth: 0
      state: 1
      notes: "测试"
      appId: "1705048780670922752"
    headers:
      Token: ${read_yaml(token)}
#  parameterize:
#    - [ 'name','pageNo','pageSize','asser_str','systemName','state']
#    - [ '分页查询1页10条数据,名称是”测试“','1','10',data,'测试',1]
#    - [ '分页查询2页10条数据，名称是”校外教育','2','10',data ,'校外教育',1]
#    - [ '分页查询1页100条数据','1','100',data, '自有应用',1]
#    - [ '分页查询1页50条数据','1','50','state': 1 ,'',1]
#    - [ '查询状态失效的','1','50','state': 0,'',0]
  extract:
    quarterId: '"quarterId":"(.*?)"'
  validate:
    - contains: data



